ros-jazzy-ur-controllers (3.0.0-1noble) noble; urgency=high

  * Freedrive Controller (#1114 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1114>)
  * Make ur_controllers compilable on humble (#1207 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1207>)
  * Update package maintainers (#1203 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1203>)
  * Add force mode controller (#1049 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1049>)
  * ur_controllers: Update RealTimeBox (#1189 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1189>)
  * Add trajectory passthrough controller (#944 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/944>)
  * Contributors: Christoph Fröhlich, Felix Exner, URJala, Vincenzo Di Pentima

 -- Felix Exner <feex@universal-robots.com>  Wed, 18 Dec 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.13-1noble) noble; urgency=high

  * [SJTC] Make scaling interface optional (#1145 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1145>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Mon, 28 Oct 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.12-1noble) noble; urgency=high



 -- Felix Exner <exner@fzi.de>  Mon, 14 Oct 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.11-1noble) noble; urgency=high

  * Allow setting the analog output domain when setting an analog IO (#1123 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1123>)
  * Service to get software version of robot (#964 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/964>)
  * Improve usage documentation (#1110 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1110>)
  * Contributors: Felix Exner (fexner), URJala, Rune Søe-Knudsen

 -- Felix Exner <exner@fzi.de>  Thu, 10 Oct 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.10-1noble) noble; urgency=high

  * Updated get_state to get_lifecycle_state (#1087 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1087>)
  * Update maintainers team (#1088 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1088>)
  * Contributors: Vincenzo Di Pentima

 -- Felix Exner <exner@fzi.de>  Wed, 11 Sep 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.9-1noble) noble; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 09 Aug 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.8-1noble) noble; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 01 Jul 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.7-1noble) noble; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 19 Jun 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.6-1noble) noble; urgency=high

  * this simple fix should fix the goal time violated issue (#882 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/882>)
  * Restructure documentation for full stack documentation (#984 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/984>)
  * Contributors: Felix Exner (fexner), Lennart Nachtigall, Vincenzo Di Pentima

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 17 Jun 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.5-1noble) noble; urgency=high

  * Use latched publishing for robot_mode and safety_mode
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 16 May 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.4-1noble) noble; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 04 Apr 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.3-1noble) noble; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 02 Feb 2024 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.2-1noble) noble; urgency=high

  * Update read_state_from_hardware
  * Renamed normalize_joint_error to joints_angle_wraparound
  * Remove noisy controller log message
  * Contributors: Felix Exner, Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 23 Nov 2023 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.1-1noble) noble; urgency=high

  * Update sjtc to newest upstream API (#810 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/810>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 21 Sep 2023 00:00:00 -0000

ros-jazzy-ur-controllers (2.4.0-1noble) noble; urgency=high

  * Handle api changes related to traj_external_point_ptr_ (#779 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/779>)
    * Handle api changes related to traj_external_point_ptr_
    * Fix formatting
    ---------
    Co-authored-by: Robert Wilbrandt <mailto:wilbrandt@fzi.de>
  * Contributors: Yadu

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 28 Aug 2023 00:00:00 -0000

ros-jazzy-ur-controllers (2.3.2-1noble) noble; urgency=high

  * added missing command interfaces into gpio controller (#693 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/693>)
  * Fixed formatting (#685 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/685>)
    * Removed empty lines from python files
    * Fixed typo in changelogs
  * Adding maximum retry counter in gpio controller (Multiarm part 3) - v2 (#672 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/672>)
  * Ported controllers to generate_parameters library and added prefix for controllers (Multiarm part 2) (#594 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/594>)
  * Switched out a deprecated header to avoid buildfarm warnings.
  * Introduce hand back control service (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/528>)
  * Contributors: Felix Exner, Felix Exner (fexner), Lennart Nachtigall, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 02 Jun 2023 00:00:00 -0000

ros-jazzy-ur-controllers (2.3.1-1noble) noble; urgency=high

  * Adjust scaled jtc to new publish_state interface
    Until next sync we need to build against upstream ros2_controllers, as
    this is an API-breaking change
  * Contributors: Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 16 Mar 2023 00:00:00 -0000

ros-jazzy-ur-controllers (2.3.0-1noble) noble; urgency=high

  * Added services to set tool voltage and zero force torque sensor (#466 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/466>)
    Added launch arguments for reverse ip and script command interface port.
  * Contributors: Mads Holm Peters

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 02 Mar 2023 00:00:00 -0000

ros-jazzy-ur-controllers (2.2.4-1noble) noble; urgency=high

  * Adapt jtc controller params to new param api
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 07 Oct 2022 00:00:00 -0000

ros-jazzy-ur-controllers (2.2.3-1noble) noble; urgency=high

  * Adapt ros control api (#448 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/448>)
    * scaled jtc: Use get_interface_name instead of get_name
    * Migrate from stopped controllers to inactive controllers
    stopped controllers has been deprecated upstream
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 27 Jul 2022 00:00:00 -0000

ros-jazzy-ur-controllers (2.2.2-1noble) noble; urgency=high

  * Adapted to JTC interpolation method feature (#439 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/439>)
  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 19 Jul 2022 00:00:00 -0000

ros-jazzy-ur-controllers (2.2.1-1noble) noble; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 27 Jun 2022 00:00:00 -0000

ros-jazzy-ur-controllers (2.2.0-1noble) noble; urgency=high

  * Updated package maintainers
  * Prepare for humble (#394 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/394>)
  * Update dependencies on all packages (#391 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/391>)
  * Update controllers' API (#351 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/351>)
  * Update binary dependencies (#344 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/344>)
  * Use upstream fts_broadcaster (#304 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/304>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Added controller stopper node (#309 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/309>)
  * Add missing dependency on angles and update formatting for linters. (#283 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/283>)
  * Payload service (#238 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/238>)
  * Integration tests improvement (#206 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/206>)
  * Add resend program service and enable headless mode (#198 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/198>)
  * Update controllers adding dt in to update as in ros2_control (#171 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/171>)
  * Update main branch with ros-controls changes (#160 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/160>)
  * Update CI configuration to support galactic and rolling (#142 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/142>)
  * Modify parameter declaration - approach equalization with ros-controls dependencies (#152 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/152>)
  * Moved registering publisher and service to on_active (#151 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/151>)
  * Correct formatting, include std::vector and update ros2_controller to master branch in repo file.
  * Correct check for fixed has_trajectory_msg()
    See: https://github.com/ros-controls/ros2_controllers/commit/32f089b3f3b53a817412c6bbce9046028786431e
  * Update for changes to ros2_control and ros2_controllers
    See: https://github.com/ros-controls/ros2_control/commit/156a3f6aaed319585a8a1fd445693e2e08c30ccd
    and: https://github.com/ros-controls/ros2_controllers/commit/612f610c24d026a41abd2dd026902c672cf778c9#diff-5d3e18800b3a217b37b91036031bdb170f5183970f54d1f951bb12f2e4847706
  * Fix gpio controller (#103 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/103>)
  * Fixed speed slider service call (#100 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/100>)
  * Reintegrating missing ur_client_library dependency since the break the building process (#97 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/97>)
  * Setting speed slider with range of 0.0-1.0 and added warnings if range is exceeded (#88 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/88>)
  * Fix move to home bug (#92 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/92>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)
  * Add support for gpios, update MoveIt and ros2_control launching (#66 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/66>)
  * Fix warning about deprecated controller_interface::return_type::SUCCESS (#68 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/68>)
  * Use GitHub Actions, use pre-commit formatting (#56 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/56>)
  * Scaled Joint Trajectory Controller (#43 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/43>)
  * Only load speed scaling interface
  * Removed controller from config file to realign with current branch status
  * Removed last remnants of joint_state_controller
  * Added publisher rate
  * Code formatting and cleanup
  * Added publisher for speed scaling factor
  * Initial version of the speed_scaling_state_controller
  * Update licence.
  * Fix clang tidy in multiple pkgs.
  * Update force torque state controller.
  * Prepare for testing.
  * Update ft state controller with ros2_control changes.
  * Remove lifecycle node (update with ros2_control changes).
  * Claim individual resources.
  * Add force torque controller.
  * Claim individual resources.
  * Add force torque controller.
  * Add XML schema to all ``package.xml`` files
    Better enable ``ament_xmllint`` to check validity.
  * Update package.xml files so ``ros2 pkg list`` shows all pkgs
  * Clean out ur_controllers, it needs a complete rewrite
  * Update CMakeLists and package.xml for:
    - ur5_moveit_config
    - ur_bringup
    - ur_description
  * Change pkg versions to 0.0.0
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, John Morris, Kenneth Bogert, Lovro, Mads Holm Peters, Marvin Große Besselmann, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 20 Jun 2022 00:00:00 -0000


